Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AdContentProviderMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface AdContentProviderMBean
extends ServiceConfigurationMBean

An MBean for configuring an AdContentProvider, which is a renderer for the placeholder/ad service.

These should be children of an `AdServiceMBean`. The Name of the AdContentProviderMBean should correspond to either the complete mimeType (e.g. image/gif), the major portion of a mimeType (e.g. image), or "default" to configure the default rendering for mimeType not specified as AdContentProviderMBeans.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`Properties` | `getProperties()` Get the AdContentProvider configuration properties.
`String` | `getProvider()` Get the AdContentProvider class name.
`void` | `setProperties(Properties p)` Set the AdContentProvider configuration properties.
`void` | `setProvider(String clName)` Set the AdContentProvider class name.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getProperties

    public Properties getProperties()

  Get the AdContentProvider configuration properties.

### getProvider

    public String getProvider()

  Get the AdContentProvider class name.

  MBean Attribute Old Property Name:
    adtargettag.rendering.[mime.type]

### setProperties

    public void setProperties(Properties p)

  Set the AdContentProvider configuration properties.

  MBean Attribute Legal Null:
    true

### setProvider

    public void setProvider(String clName)

  Set the AdContentProvider class name.

  MBean Attribute Old Property Name:
    adtargettag.rendering.[mime.type]
  MBean Attribute Legal Null:
    false

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved